<?php
/*
  This file is part of getFTP.net.

  getFTP.net is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  getFTP.net is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with getFTP.net.  If not, see <http://www.gnu.org/licenses/>.
*/

$list_of_encodings= Array('UTF-8', 'ISO 8859-2', 'Windows-1250');
require('zip.lib.php');
function js_alert($information) {
 echo '<script type="text/javascript">alert("'.$information.'");</script>';
}
function error($error) {
 echo '<div class="error"><a href="./" title="Vrátit se"></a>'.$error.'</div>';
}
function ftp_is_dir($file){
 global $connect;
 if(ftp_size($connect, $file) == '-1'){
  return true;
 }else{
  return false;
 }
}
function ftp_zip_dir($connect, $directory) {
 global $current_dir;
 $list=ftp_nlist($connect, $current_dir.$directory);
 $zip=new ZipArchive();
 $zip->open('tmp/archive.zip', ZIPARCHIVE::CREATE);
 $zip->addEmptyDir($directory);
 foreach($list as $file) {
  if(ftp_is_dir($file)) {
   ftp_zip_dir($connect, $directory.'/'.$file);
  }else{
   ftp_get($connect, 'tmp/tmp.txt', substr($file, 1), FTP_BINARY);
   $zip->addFile('tmp/tmp.txt', substr($file, 1));
   unlink('tmp/tmp.txt');
  }
 }
 $zip->close();
}
function ftp_cpfile($connect, $file, $target) {
 ftp_get($connect, 'tmp/tmp.txt', $file, FTP_BINARY);
 ftp_put($connect, $target.$file, 'tmp/tmp.txt', FTP_BINARY);
}
function ftp_cpdir($connect, $directory, $target) {
 $list=ftp_nlist($connect, $directory);
 ftp_mkdir($connect, $target.'/'.$directory);
 foreach($list as $file) {
  if(ftp_is_dir($file)) {
   ftp_cpdir($connect, $file, $target);
  }else{
   ftp_cpfile($connect, $file, $target);
  }
 }
}
function ftp_remove_dir($connect, $directory) {
 if (!is_resource($connect) || get_resource_type($connect) !== 'FTP Buffer') {
  return false;
 }
 $i             = 0;
 $files         = array();
 $folders       = array();
 $statusnext    = false;
 $currentfolder = $directory;
 $list = ftp_rawlist($connect, $directory, true);
 foreach ($list as $current) {
  if (empty($current)) {
   $statusnext = true;
   continue;
  }
  if ($statusnext === true) {
   $currentfolder = substr($current, 0, -1);
   $statusnext = false;
   continue;
  }
  $split = preg_split('[ ]', $current, 9, PREG_SPLIT_NO_EMPTY);
  $entry = $split[8];
  $isdir = ($split[0]{0} === 'd') ? true : false;
  if ($entry === '.' || $entry === '..') {
   continue;
  }
  if ($isdir === true) {
   $folders[] = $currentfolder . '/' . $entry;
  } else {
   $files[] = $currentfolder . '/' . $entry;
  }
 }
 foreach ($files as $file) {
  ftp_delete($connect, $file);
 }
 rsort($folders);
 foreach ($folders as $folder) {
  ftp_rmdir($connect, $folder);
 }
 return ftp_rmdir($connect, $directory);
}
?>