<?php
/*
  This file is part of getFTP.net.

  getFTP.net is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  getFTP.net is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with getFTP.net.  If not, see <http://www.gnu.org/licenses/>.
*/

if(isset($_POST['function']) OR isset($_POST['save'])) {
 if(isset($_COOKIE['password'])) {
  $password=base64_decode($_COOKIE['password']);
 }else{
  $password=$_COOKIE['password'];
 }
 $connect=ftp_connect($_COOKIE['ftp_server']);
 $login=ftp_login($connect, $_COOKIE['username'], $password);
 if(isset($_COOKIE['dir'])) {
  ftp_chdir($connect, $_COOKIE['dir']);
 }
 if(ftp_pwd($connect)=='/') {
  $current_dir='/';
 }else{
  $current_dir=ftp_pwd($connect).'/';
 }
 require('functions.php');
 if($_POST['function']=='download') {
  /* Stahování souborů (není umístěno mezi ostatními funkcemi kvůli práci s funkcí header) */
  if(count($_POST['item'])==1) {
   if(ftp_is_dir($current_dir.$_POST['item'][0])) {
    ftp_zip_dir($connect, $_POST['item'][0]);
    $file_to_download='archive.zip';
   }else{
    ftp_get($connect, 'tmp/'.$_POST['item'][0], $current_dir.$_POST['item'][0], FTP_BINARY);
    $file_to_download=$_POST['item'][0];
   }
   chdir('tmp');
   header("Content-Description: File Transfer");
   header("Content-Type: application/octem-stream");
   header('Content-Disposition: attachment; filename="'.$file_to_download.'"');
   readfile($file_to_download);
   unlink($file_to_download);
   chdir('../');
   die();
  }elseif(count($_POST['item'])>1) {
   $zip=new zipfile();
   foreach($_POST['item'] as $file) {
    ftp_get($connect, 'tmp/'.$file, ftp_pwd($connect).'/'.$file, FTP_BINARY);
    $zip->addFile(file_get_contents('tmp/'.$file), $file);
    unlink('tmp/'.$file);
   }
   $zip_archive=fopen('tmp/archive.zip', 'w');
   fwrite($zip_archive, $zip->file());
   fclose($zip_archive);
   chdir('tmp');
   header("Content-Type: application/x-zip");
   header("Content-disposition: attachment; filename=archive.zip");
   echo $zip->file();
   chdir('../');
  }
 }elseif($_POST['function']=='delete') {
  /* Mazání souborů a složek */
  if(count($_POST['item'])>0) {
   foreach($_POST['item'] as $item) {
    if(ftp_is_dir($item)) {
     ftp_remove_dir($connect, $item);
    }else{
     ftp_delete($connect, $item);
    }
   }
  }
  header('Location: ./');
 }
 if(isset($_POST['save'])) {
 /* Ukládání souborů */
  file_put_contents('tmp/tmp.txt', mb_convert_encoding(stripslashes($_POST['source']), $_POST['encoding'], 'UTF-8'));
  ftp_put($connect, $_POST['name'], 'tmp/tmp.txt', FTP_BINARY);
 }
}
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
 <meta http-equiv="content-type" content="text/html; charset=UTF-8">
 <title>getFTP.net - přihlášení</title>
 <link rel="stylesheet" type="text/css" href="style.css">
 <link rel="shortcut icon" href="favicon.ico">
 <script type="text/javascript" src="scripts.js"></script>
</head>
<body onload="loadmenu(); loadtabs(); <?php
if(isset($_POST['source'])) {
 $page='?page=file&file='.$_POST['name'].'&encoding='.$_POST['encoding'];
}
if(empty($_POST['function'])) {
 echo "loadpage('pages.php".$page."','content');";
}
?>">
 <div class="center">
 <h1><span></span>getFTP.net</h1>
 <menu id="menu"></menu>
 <ul id="tabs">
 </ul>
 <div id="content">
<?php
if(isset($_POST['item']) AND count($_POST['item'])>0) {
 switch($_POST['function']) {
  case 'copy': 
  /* Formulář pro kopírování souborů */
?>
 <div class="top"></div>
 <iframe src="pages.php?page=copying" name="iframe"></iframe>
 <form class="content" action="pages.php?page=copying" method="post" target="iframe">
 <div class="active">
 <h2>Kopírování souborů a složek</h2>
 <div><input type="checkbox" class="checkbox" name="all" id="all"><label for="all">zkopírovat vše:</label><input type="text" class="text" name="target" value="<?=$current_dir?>"><input type="submit" class="submit" name="copy" value="Zkopírovat"></div>
 </div>
 <table class="list">
<?php
foreach($_POST['item'] as $item) {
 echo '<tr><td><input type="hidden" name="file[]" value="'.$item.'"><label for="'.$item.'">'.$item.'</label></td><td><input type="text" class="text2" name="target2[]" value="'.$current_dir.'" id="'.$item.'"></td></tr>
';
}
?>
 </table>
 </form>
 <div class="bottom"></div>

<?php
  break;
  case 'chmod':
  /* Formulář na změnu práv (CHMOD) */
?>
 <div class="top"></div>
 <iframe src="pages.php?page=chmod" name="iframe"></iframe>
 <form class="content" action="pages.php?page=chmod" method="post" target="iframe">
 <div class="active">
 <h2>Změna práv</h2>
 <div><input type="checkbox" class="checkbox" name="all" id="all"><label for="all">změnit všem:</label><label for="chmod" class="minus" onclick="minus('chmod','1')" ondblclick="minus('chmod','8')">-</label><input type="text" name="chmodall" value="644" id="chmod" class="chmod"><label for="chmod" class="plus" onclick="plus('chmod','1')" ondblclick="plus('chmod','8')">+</label><input type="submit" class="submit" name="change_chmod" value="Změnit"></div>
 </div>
 <table class="list">
<?php
$x=0;
foreach($_POST['item'] as $item) {
 $x++;
 echo '<tr><td><input type="hidden" name="file[]" value="'.$item.'"><label for="'.$item.'">'.$item.'</label></td><td><label for="'.$item.'" class="minus" onclick="minus(\''.$item.'\',\'1\')" ondblclick="minus(\''.$item.'\',\'8\')">-</label><input type="text" name="chmod[]" value="644" id="'.$item.'" class="chmod"><label for="'.$item.'" class="plus" onclick="plus(\''.$item.'\',\'1\')" ondblclick="plus(\''.$item.'\',\'8\')">+</label></td></tr>
';
}
?>
 </table>
 </form>
 <div class="bottom"></div>
<?php
  break;
  case 'rename':
?>
 <div class="top"></div>
 <iframe src="pages.php?page=rename" name="iframe"></iframe>
 <form class="content" action="pages.php?page=rename" method="post" target="iframe">
 <div class="active">
 <h2>Přejmenování souborů a složek</h2>
 <div><input type="submit" class="submit" name="rename" value="Přejmenovat"></div>
 </div>
 <table class="list">
<?php
foreach($_POST['item'] as $item) {
 echo '<tr><td><input type="hidden" name="file[]" value="'.$item.'"><label for="'.$item.'">'.$item.'</label></td><td><input type="text" class="text2" name="name[]" value="'.$item.'" id="'.$item.'"></td></tr>
';
}
?>
 </table>
 </form>
 <div class="bottom"></div>
<?php
  break;
 }
}elseif(count($_POST['item'])==0 AND !empty($_POST['function'])) {
 echo '<div class="top"></div>
<div class="content"><div class="error2"><a href="./" title="Vrátit se"></a>Nebyl vybrán žádný soubor nebo složka</div></div>
<div class="bottom"></div>';
}
?>
 </div>
 <p class="footer">
 Aplikace getFTP.net je vydávána pod licencí <a href="license.txt" title="Zobrazit licenci (v novém okně)" target="_blank">GNU GPL</a>.
 </p>
 </div>
</body>
</html>